<rtflowfile version="1.0">
   <block name="IntegralWithReset" folder="Standard\Dynamic\" width="48" height="48">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="48" y2="48">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="text" x="20" y="24" height="18" s="" font="Symbol"/>
      <graphic class="text" x="28" y="24" height="13" s="dt" font="Times New Roman"/>
      <doc>Integrates a real-valued signal and allows resetting. The integral is computed by multiplying i by the sample time and accumulating the result. If rst is 1, the integration is reset to 0. The integral is 0 in the first execution cycle.</doc>
      <port name="i" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The signal to integrate.</doc>
      </port>
      <port name="rst" type="bool" x="0" y="32" kind="input" dir="left">
         <doc>1 to reset the integration to 0, 0 otherwise.</doc>
      </port>
      <port name="o" type="real" x="48" y="16" kind="output" dir="right">
         <doc>The integral of i since rst was 1.</doc>
      </port>
   </block>
   <schematic name="IntegralWithReset" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="Pre1" block="Pre" x="128" y="112">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="Add1" block="Add" x="208" y="80"/>
      <binstance name="i" block="RealInput" x="64" y="48"/>
      <binstance name="o" block="RealOutput" x="352" y="88"/>
      <binstance name="Mult1" block="Mult" x="128" y="48"/>
      <binstance name="Dt1" block="Dt" x="64" y="80"/>
      <binstance name="rst" block="BoolInput" x="64" y="176"/>
      <binstance name="If1" block="If" x="272" y="80"/>
      <binstance name="Value1" block="Value" x="208" y="32">
         <constant name="value" value="0" show="true" x="16" y="8"/>
      </binstance>
      <connection name="pre_o2" port1="Pre1.o" port2="Add1.i1">
         <point x="160" y="128"/>
         <point x="192" y="128"/>
         <point x="192" y="104"/>
         <point x="210" y="104"/>
      </connection>
      <connection name="i" port1="i.o" port2="Mult1.i0">
         <point x="80" y="56"/>
         <point x="130" y="56"/>
      </connection>
      <connection name="Mult1_o_1" port1="Mult1.o" port2="Add1.i0">
         <point x="160" y="64"/>
         <point x="192" y="64"/>
         <point x="192" y="88"/>
         <point x="210" y="88"/>
      </connection>
      <connection name="Dt1_o_1" port1="Dt1.o" port2="Mult1.i1">
         <point x="96" y="96"/>
         <point x="112" y="96"/>
         <point x="112" y="72"/>
         <point x="130" y="72"/>
      </connection>
      <connection name="o1" port1="Add1.o" port2="If1.i0">
         <point x="240" y="96"/>
         <point x="256" y="96"/>
         <point x="256" y="104"/>
         <point x="272" y="104"/>
      </connection>
      <connection name="Value1_o_1" port1="Value1.o" port2="If1.i1">
         <point x="240" y="40"/>
         <point x="256" y="40"/>
         <point x="256" y="88"/>
         <point x="272" y="88"/>
      </connection>
      <connection name="o" port1="If1.o" port2="o.i0">
         <point x="304" y="96"/>
         <point x="352" y="96"/>
      </connection>
      <connection name="o" port1="If1.o" port2="Pre1.i0">
         <point x="304" y="96"/>
         <point x="320" y="96"/>
         <point x="320" y="160"/>
         <point x="112" y="160"/>
         <point x="112" y="128"/>
         <point x="128" y="128"/>
      </connection>
      <connection name="rst" port1="rst.o" port2="If1.i2">
         <point x="80" y="184"/>
         <point x="280" y="184"/>
         <point x="280" y="112"/>
      </connection>
   </schematic>
</rtflowfile>
